Teddysun Linux Repository

linux admin 6个月前 (11-20) 245次浏览 0个评论

前言

好久没看秋水大佬的博客,发现秋水大佬已经将shadowsocks-libev,shadowsocks-rust,go-shadowsocks2,v2ray-plugin,xray-plugin,v2ray,xray 等软件的 rpm 和 deb 包制成了Linux Repository,我们可以很方便通过apt或者yum命令安装和更新这些好用的软件。

以下内容全部转载于秋水大佬博客


最近花了点时间制作了 shadowsocks-libev,shadowsocks-rust,go-shadowsocks2,v2ray-plugin,xray-plugin,v2ray,xray 等软件的 rpm 和 deb 包。
多说一句,其实 Docker Image 就能搞定一切了,但是安装 rpm 或 deb 包的话,系统资源开销更小一些,适用于小内存的机器。
以上的软件,不出意外的话,我将会持续更新。

 

写在前面

目前,Teddysun Shadowsocks Repository 里有如下软件,支持 x86_64 和 aarch64 两种架构,欢迎使用!
如有问题需要反馈,请到我的 Telegram 群里提出。
hysteria
kcptun
shadowsocks-libev
shadowsocks-qtun
shadowsocks-rust
shadowsocks-simple-obfs
go-shadowsocks2
sing-box
v2ray
v2ray-plugin
xray
xray-plugin
Teddysun Shadowsocks Repository 适用于下列系统。
RHEL 系:
Enterprise Linux 7 (CentOS 7, RHEL 7)
Enterprise Linux 8 (CentOS Stream 8, RHEL 8, Rocky Linux 8, AlmaLinux 8, Oracle Linux 8)
Enterprise Linux 9 (CentOS Stream 9, RHEL 9, Rocky Linux 9, AlmaLinux 9, Oracle Linux 9)
Fedora 37
Fedora 38
Fedora 39
Debian 系:
Debian 10
Debian 11
Debian 12
Ubuntu 20.04
Ubuntu 22.04

RHEL 系安装指南

由于需要安装依赖包,所以对于 RHEL 系,首先要开启 EPEL Repository(以下均为使用 root 用户操作)

yum install -y yum-utils epel-release 
yum-config-manager --enable epel

1. 执行以下命令安装 Teddysun Shadowsocks Repository:

yum-config-manager --add-repo https://dl.lamp.sh/shadowsocks/rhel/teddysun.repo

当系统为 Fedora 37 / 38 / 39 的时候, 执行以下命令直接安装 Teddysun Shadowsocks Repository(备注:Fedora 系统无需安装 EPEL Repository)

yum-config-manager --add-repo https://dl.lamp.sh/shadowsocks/fedora/teddysun_fedora.repo

2. 重建 repo 缓存,执行如下命令:

yum makecache

3. 通过 yum 来安装软件包,比如:

yum install shadowsocks-libev v2ray-plugin xray-plugin

4. 以后软件若有升级,也可通过 yum 来升级软件包,比如:

yum update shadowsocks-libev v2ray-plugin xray-plugin

5. 若想卸载,也可通过 yum 来卸载软件包,比如:

yum remove shadowsocks-libev v2ray-plugin xray-plugin

1. 查看 Teddysun Shadowsocks Repository 里所有软件:

yum repo-pkgs teddysun list

aarch64

x86_64

2. 一次性安装 Teddysun Shadowsocks Repository 里所有软件:

yum repo-pkgs teddysun install

aarch64

x86_64

3. 一次性卸载 Teddysun Shadowsocks Repository 里所有软件:

yum repo-pkgs teddysun remove

aarch64

x86_64

Debian 系安装指南

1. 对于 Debian 系,首先要添加 Teddysun Shadowsocks Repository 的公钥(以下均为使用 root 用户操作)

apt-get update 
apt-get -y install lsb-release ca-certificates 
curl gnupg curl -fsSL https://dl.lamp.sh/shadowsocks/DEB-GPG-KEY-Teddysun | gpg --dearmor --yes -o /usr/share/keyrings/deb-gpg-key-teddysun.gpg 
chmod a+r /usr/share/keyrings/deb-gpg-key-teddysun.gpg

当系统为 Debian 10 / 11 / 12 的时候, 执行以下命令直接安装 Teddysun Shadowsocks Repository:

echo "deb [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/deb-gpg-key-teddysun.gpg] https://dl.lamp.sh/shadowsocks/debian/ $(lsb_release -sc) main" >/etc/apt/sources.list.d/teddysun.list

当系统为 Ubuntu 20.04 / 22.04 的时候, 执行以下命令直接安装 Teddysun Shadowsocks Repository:

echo "deb [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/deb-gpg-key-teddysun.gpg] https://dl.lamp.sh/shadowsocks/ubuntu/ $(lsb_release -sc) main" >/etc/apt/sources.list.d/teddysun.list

2. 重建 repo 缓存,执行如下命令:

apt-get update

3. 通过 apt-get 来安装软件包,比如:

apt-get install -y xray xray-plugin

4. 以后软件若有升级,也可通过 apt-get 来升级软件包,比如:

apt-get install --only-upgrade -y xray xray-plugin

5. 若想卸载,也可通过 apt-get 来卸载软件包,比如:

apt-get remove xray xray-plugin

注意:由于 Debian 官方也存在相同的 shadowsocks-libev 软件包,所以要想安装由我提供的 shadowsocks-libev,则需要指定版本号才能安装。其他软件则不受影响。

apt-get install -y shadowsocks-libev=3.3.5-12

shadowsocks-libev

2022 年 6 月 24 日更新日志:
编译了 shadowsocks-libev 最新代码 (Commits on Jun 23, 2022);
2022 年 6 月 16 日更新日志:
编译了 shadowsocks-libev 最新代码 (Commits on Jun 4, 2022);

使用 root 用户执行以下命令安装:

yum install -y shadowsocks-libev

成功安装后,执行以下命令查看版本号:

ss-server -h

返回值节选:

shadowsocks-libev 3.3.5

默认配置文件如下,如需自定义端口,密码,插件等信息,请自行修改

/etc/shadowsocks/shadowsocks-libev-config.json

服务端 service 文件

/usr/lib/systemd/system/shadowsocks-libev-server.service

启动服务端

systemctl start shadowsocks-libev-server

停止服务端

systemctl stop shadowsocks-libev-server

查看服务端状态

systemctl status shadowsocks-libev-server

设置服务端 service 开机自启动

systemctl enable shadowsocks-libev-server

其他 service 文件,用法同服务端 service 一致,但需要事先修改配置文件

/usr/lib/systemd/system/shadowsocks-libev-manager.service 
/usr/lib/systemd/system/shadowsocks-libev-client.service 
/usr/lib/systemd/system/shadowsocks-libev-redir.service 
/usr/lib/systemd/system/shadowsocks-libev-tunnel.service 
/usr/lib/systemd/system/shadowsocks-libev-nat.service

shadowsocks-rust

2023 年 10 月 15 日更新日志:
编译了 shadowsocks-rust 版本 v1.17.0;
2023 年 9 月 23 日更新日志:
编译了 shadowsocks-rust 版本 v1.16.2;
2023 年 9 月 1 日更新日志:
编译了 shadowsocks-rust 版本 v1.16.1;
2023 年 8 月 27 日更新日志:
编译了 shadowsocks-rust 版本 v1.16.0;
2023 年 7 月 7 日更新日志:
编译了 shadowsocks-rust 版本 v1.15.4;
2023 年 3 月 13 日更新日志:
编译了 shadowsocks-rust 版本 v1.15.3;
2022 年 12 月 24 日更新日志:
编译了 shadowsocks-rust 版本 v1.15.2;
2022 年 12 月 17 日更新日志:
编译了 shadowsocks-rust 版本 v1.15.1;
编译了 shadowsocks-rust 版本 v1.15.0;
2022 年 6 月 18 日更新日志:
编译了 shadowsocks-rust 最新稳定版 v1.14.3;

使用 root 用户执行以下命令安装:

yum install -y shadowsocks-rust

成功安装后,执行以下命令查看版本号:

ssservice --version

返回值:

shadowsocks 1.17.0

默认配置文件如下,如需自定义端口,密码,插件等信息,请自行修改

/etc/shadowsocks/shadowsocks-rust-config.json

服务端 service 文件

/usr/lib/systemd/system/shadowsocks-rust-server.service

启动服务端

systemctl start shadowsocks-rust-server

停止服务端

systemctl stop shadowsocks-rust-server

查看服务端状态

systemctl status shadowsocks-rust-server

设置服务端 service 开机自启动

systemctl enable shadowsocks-rust-server

其他 service 文件,用法同服务端 service 一致,但需要事先修改配置文件

/usr/lib/systemd/system/shadowsocks-rust-client.service

v2ray-plugin

2023 年 11 月 20 日更新日志:
编译了 v2ray-plugin 最新版 v5.12.0;
2023 年 11 月 4 日更新日志:
编译了 v2ray-plugin 最新版 v5.11.0;
2023 年 10 月 28 日更新日志:
编译了 v2ray-plugin 最新版 v5.10.0;
2023 年 10 月 25 日更新日志:
编译了 v2ray-plugin 最新版 v5.9.0;
2023 年 10 月 7 日更新日志:
编译了 v2ray-plugin 最新版 v5.8.0;
2023 年 6 月 1 日更新日志:
编译了 v2ray-plugin 最新版 v5.7.0;
2023 年 5 月 24 日更新日志:
编译了 v2ray-plugin 最新版 v5.5.0;
2023 年 2 月 22 日更新日志:
编译了 v2ray-plugin 最新版 v5.4.0;
2023 年 2 月 8 日更新日志:
编译了 v2ray-plugin 最新版 v5.3.0;
2022 年 12 月 26 日更新日志:
编译了 v2ray-plugin 最新版 v5.2.0;
2022 年 9 月 7 日更新日志:
编译了 v2ray-plugin 最新版 v5.1.0;
2022 年 8 月 20 日更新日志:
编译了 v2ray-plugin 最新版 v5.0.8;
2022 年 6 月 16 日更新日志:
编译了 v2ray-plugin 最新版 v5.0.7;

使用 root 用户执行以下命令安装:

yum install -y v2ray-plugin

成功安装后,执行以下命令查看版本号:

v2ray-plugin -version

返回值:

v2ray-plugin v5.12.0 
Go version go1.21.4 
Yet another SIP003 plugin for shadowsocks

该插件兼容 shadowsocks-libev 和 shadowsocks-rust,修改其默认配置文件即可调用插件。

xray-plugin

2023 年 11 月 18 日更新日志:
编译了 xray-plugin 最新版 v1.8.6;
2023 年 11 月 14 日更新日志:
编译了 xray-plugin 最新版 v1.8.5;
2023 年 8 月 29 日更新日志:
编译了 xray-plugin 最新版 v1.8.4;
2023 年 6 月 19 日更新日志:
编译了 xray-plugin 最新版 v1.8.3;
2023 年 4 月 18 日更新日志:
编译了 xray-plugin 最新版 v1.8.1;
2023 年 3 月 11 日更新日志:
编译了 xray-plugin 最新版 v1.8.0;
2023 年 2 月 9 日更新日志:
编译了 xray-plugin 最新版 v1.7.5;
2023 年 2 月 2 日更新日志:
编译了 xray-plugin 最新版 v1.7.3;
2022 年 12 月 26 日更新日志:
编译了 xray-plugin 最新版 v1.7.0;
2022 年 12 月 12 日更新日志:
编译了 xray-plugin 最新版 v1.6.6;
2022 年 11 月 28 日更新日志:
编译了 xray-plugin 最新版 v1.6.5;
2022 年 11 月 14 日更新日志:
编译了 xray-plugin 最新版 v1.6.4;
2022 年 11 月 7 日更新日志:
编译了 xray-plugin 最新版 v1.6.3;
2022 年 10 月 29 日更新日志:
编译了 xray-plugin 最新版 v1.6.2;
2022 年 10 月 22 日更新日志:
编译了 xray-plugin 最新版 v1.6.1;
2022 年 9 月 20 日更新日志:
编译了 xray-plugin 最新版 v1.6.0;
2022 年 8 月 29 日更新日志:
编译了 xray-plugin 最新版 v1.5.10;
2022 年 7 月 16 日更新日志:
编译了 xray-plugin 最新版 v1.5.9;
2022 年 6 月 20 日更新日志:
编译了 xray-plugin 最新版 v1.5.8;
2022 年 6 月 16 日更新日志:
编译了 xray-plugin 最新版 v1.5.7;

使用 root 用户执行以下命令安装:

yum install -y xray-plugin

成功安装后,执行以下命令查看版本号:

xray-plugin -version

返回值:

xray-plugin v1.8.6 
Go version go1.21.4 
Yet another SIP003 plugin for shadowsocks

该插件同样兼容 shadowsocks-libev 和 shadowsocks-rust,修改其默认配置文件即可调用插件。

simple-obfs

2023 年 4 月 6 日更新日志:
注意:该插件目前已经废弃,不再更新。推荐使用 v2ray-plugin 或 xray-plugin 插件。
编译了 simple-obfs 目前的最新版 v0.0.5,Commit 为 486bebd9208539058e57e23a12f23103016e09b4;

使用 root 用户执行以下命令安装:

yum install -y shadowsocks-simple-obfs

成功安装后,执行以下命令查看版本号:

obfs-server -h
obfs-local -h

返回值节选:

simple-obfs 0.0.5

该插件兼容 shadowsocks-libev 和 shadowsocks-rust,修改其默认配置文件即可调用该插件。

qtun

2023 年 10 月 14 日更新日志:
这是一款新的基于 IETF-QUIC 的符合 SIP003 规范的 shadowsocks 插件。
编译了 qtun 目前的最新版 v0.2.0,Commit 为 db2e18c3555bcae27148c6bac3594ff969ed5634;

使用 root 用户执行以下命令安装:

yum install -y shadowsocks-qtun

成功安装后,执行以下命令查看服务端版本号:

qtun-server --version

返回值:

qtun-server 0.2.0

执行以下命令查看客户端版本号:

qtun-client --version

返回值:

qtun-client 0.2.0

该插件兼容 shadowsocks-libev 和 shadowsocks-rust,修改其默认配置文件即可调用该插件。
具体用法,可以参考:https://shiping.date/70.html

kcptun

2023 年 10 月 18 日更新日志:
这是一款基于 KCP 的稳定且安全的隧道软件,具有 N:M 复用和 FEC 机能。同时也可以作为 shadowsocks 的插件使用。
编译了 kcptun 目前的最新版 20231012,Commit 为 0440abbc9124db0b67143cd12cc71a3ac2584bea;

使用 root 用户执行以下命令安装:

yum install -y kcptun

成功安装后,执行以下命令查看服务端版本号:

kcptun-server --version

返回值:

kcptun version 20231012

执行以下命令查看客户端版本号:

kcptun-client --version

返回值:

kcptun version 20231012

该软件兼容 shadowsocks-libev 和 shadowsocks-rust,修改其默认配置文件即可调用该插件。
也可以作为独立软件使用,默认服务端配置文件如下,如需自定义端口,密码等信息,请自行修改

/etc/kcptun/server.json

服务端 service 文件

/usr/lib/systemd/system/kcptun-server.service

客户端 service 文件

/usr/lib/systemd/system/kcptun-client.service

启动服务端

systemctl start kcptun-server

停止服务端

systemctl stop kcptun-server

查看服务端状态

systemctl status kcptun-server

设置服务端 service 开机自启动

systemctl enable kcptun-server

One more thing

1. 统一下载地址:
https://dl.lamp.sh/shadowsocks/

2. 以上所有软件可以安装在同一系统下,不会产生冲突。

rpm -qa | grep -E "shadowsocks|ray-plugin"


二进制文件路径:

ll /usr/bin/ss* /usr/bin/go-* /usr/bin/*ray-plugin | grep -v -E "ssh|sss_"

写在最后

请关注我的 Telegram 频道:https://t.me/qiushuiyibing
我会在此不定期发布一些杂七杂八的作品。
同时也欢迎加入交流群:https://t.me/qiushui2018

转载请注明:秋水逸冰 » Shadowsocks 编译版 by Teddysun


VPS小白 , 版权所有丨如未注明 , 均为原创丨本网站采用BY-NC-SA协议进行授权
转载请注明原文链接:Teddysun Linux Repository
喜欢 (0)
发表我的评论
取消评论
表情 贴图 加粗 删除线 居中 斜体 签到

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址